#include "src/w25q128/w25q128_spi.h"
#include "src/code/code.h"
#include <SPI.h>
void SerialRe(void);
void setup() {
    Serial.begin(115200);
    Serial.setTimeout(10);
    Serial.setRxBufferSize(256);
    Serial.onReceive(SerialRe,true);  
    norflash_spi_init();
}
void loop() {
  SPI.write(0xff);
  SPI.write(0x01);
  SPI.write(0x89);
  SPI.write(0x22);
}
void SerialRe(){
  uint8_t buffer[256]={0};
  int cnt = 0;
  if(Serial.available()){
    cnt=Serial.available();    
    Serial.readBytes(buffer,256);  
  }  
  for(int i=0;i<cnt;i++){
    Serial.write(buffer[i]);
  }
  // Serial.printf("\n");
}
